using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace MaBibli.Api.Data.Migrations
{
    /// <inheritdoc />
    public partial class MasquageBibliographie : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "BibliographiesMasquees",
                columns: table => new
                {
                    Id = table.Column<int>(type: "INTEGER", nullable: false)
                        .Annotation("Sqlite:Autoincrement", true),
                    AuteurId = table.Column<int>(type: "INTEGER", nullable: false),
                    Utilisateur = table.Column<string>(type: "TEXT", nullable: false),
                    TitreNormalise = table.Column<string>(type: "TEXT", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_BibliographiesMasquees", x => x.Id);
                });

            migrationBuilder.CreateIndex(
                name: "IX_BibliographiesMasquees_Auteur_Utilisateur_Titre",
                table: "BibliographiesMasquees",
                columns: new[] { "AuteurId", "Utilisateur", "TitreNormalise" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_BibliographiesMasquees_Utilisateur_AuteurId",
                table: "BibliographiesMasquees",
                columns: new[] { "Utilisateur", "AuteurId" });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "BibliographiesMasquees");
        }
    }
}
